Type to search.

Delete an unreferenced trained model

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.10 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

The request deletes a trained inference model that is not referenced by an ingest pipeline.

Required privileges

Cluster privileges manage_ml

Path parameters

model_id string required

The unique identifier of the trained model.

Query parameters

force boolean

Forcefully deletes a trained model that is referenced by ingest pipelines or has a started deployment.

timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.